{username, ...}: {
  programs.firefox = {
    enable = true;
    profiles = {
      "${username}" = {
        extensions.force = true;

        #Create multiple containers, like "work" "social media" ..., for cookies to reside in so they dont cross leak
        #containers.force = true;

        search = {
          force = true;
          default = "SearXNG";
          order = ["SearXNG"];
          engines = {
            "SearXNG" = {
              name = "SearXNG";
              urls = [
                {
                  template = "https://searxng.cookiee.org/search";
                  params = [
                    {
                      name = "q";
                      value = "{searchTerms}";
                    }
                  ];
                }
              ];
              iconMapObj."16" = "https://searxng.cookiee.org/favicon.ico";
              definedAliases = ["@sx"];
            };
          };
        };
      };
    };
  };

  systemd.user.services."firefox-autostart" = {
    serviceConfig = {
      ExecStart = "";
      ExecStop = "";
    };
  };
}
